I have installed today Leap 42.3 (overriding 42.1, not upgrading, but keeping original user data).
All my tries to execute YaST2 > Software > Online Update ends with error messages as in attached screenshots.
[IMG]/home/shmuel/Downloads/20171125_173710.jpg[/IMG]
[IMG]/home/shmuel/Downloads/20171125_175454.jpg[/IMG]